Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.errors.service.v1
Class ServiceErrorType

    java.lang.Object
      be.fgov.ehealth.errors.core.v1.ErrorType
          be.fgov.ehealth.errors.service.v1.ServiceErrorType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BusinessError, SystemError

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-10-28T03:09:04+02:00",
               comments="JAXB RI v2.2.6")
    public class ServiceErrorType

extends ErrorType
implements Serializable

Common Type for ServiceErrors.

Java class for ServiceErrorType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ServiceErrorType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:errors:core:v1}ErrorType">
           <sequence>
             <element name="Actor" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="DateTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="Trace" type="{urn:be:fgov:ehealth:errors:service:v1}TraceType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ServiceErrorType()`

Method Summary
`String` | `getActor()` Gets the value of the actor property.
`org.joda.time.DateTime` | `getDateTime()` Gets the value of the dateTime property.
`TraceType` | `getTrace()` Gets the value of the trace property.
`void` | `setActor(String value)` Sets the value of the actor property.
`void` | `setDateTime(org.joda.time.DateTime value)` Sets the value of the dateTime property.
`void` | `setTrace(TraceType value)` Sets the value of the trace property.

Methods inherited from class be.fgov.ehealth.errors.core.v1.ErrorType
`getCode, getContact, getId, getMessages, getOrigin, isRetry, setCode, setContact, setId, setOrigin, setRetry`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceErrorType

    public ServiceErrorType()

Method Detail

### getActor

    public String getActor()

  Gets the value of the actor property.

  Returns:
    possible object is `String`

### setActor

    public void setActor(String value)

  Sets the value of the actor property.

  Parameters:
    `value` - allowed object is `String`

### getDateTime

    public org.joda.time.DateTime getDateTime()

  Gets the value of the dateTime property.

  Returns:
    possible object is `String`

### setDateTime

    public void setDateTime(org.joda.time.DateTime value)

  Sets the value of the dateTime property.

  Parameters:
    `value` - allowed object is `String`

### getTrace

    public TraceType getTrace()

  Gets the value of the trace property.

  Returns:
    possible object is `TraceType`

### setTrace

    public void setTrace(TraceType value)

  Sets the value of the trace property.

  Parameters:
    `value` - allowed object is `TraceType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.